Subject: Some changes in MKDIR code of wu-ftpd

From: Kirill Maximov <[email-masked]>
Date: Thu, 30 Apr 1998 19:23:02 +0400

Hello!

  I'm sorry that this message might not be useful for you but.. who knows.
  
  While using wu-ftpd beta 16 on my site I faced a problem in 
  creating directories.
  
  Suppose, I have these lines in my /etc/ftpaccess file:

upload /home/web 		/SERV/DOC*	yes  webuser webgroup 0664 dirs  
upload /home/web/SERV 	/DOC*  		yes  webuser webgroup 0664 dirs  

  I have two users (user1 and user2), and I want both of them to be able to 
  put files and create directories in /home/web/SERV/DOC with permissions 0664
  (0775 for dirs) and ownership webuser.webgroup . With default wu-ftpd, 
  there are no problem with creating files. But when I do mkdir,  
  I have always permissions 0755 and ownerships user[12].ftpuser .

  I.e. wu-ftp do not use information from /etc/ftpaccess while creating 
  directories (it uses only dirs|nodirs field).

  So, I made some changes to wu-ftpd code to use other fileds. 
  Two patched files (ftpd.c and extensions.c) are attached to this message. 
  Any comments (especially from maintainers) are appreciated.

  Best regards,

  KIR

-- 
----------------------------------------------------------
 Kirill Maximov;              INTERNET TECHNOLOGY CENTER
 Network Administrator        St.Petersburg, Russia
                       
 Fax:  +7-812-3461168         Email: [email-masked]
 Tel.: +7-812-3462541         URL:   http://itc.rus.net